Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This macro is needed at the start for building on EL6


%global enable_tests 1

%global barename data-uri-to-buffer

Name:               nodejs-data-uri-to-buffer
Version:            2.0.0
Release:            alt1_4
Summary:            Generate a Buffer instance from a Data URI string

License:            MIT
URL:                https://www.npmjs.org/package/data-uri-to-buffer
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:      npm(mocha)
%endif
Source44: import.info

%description
Generate a Buffer instance from a Data URI string

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep -r @types/node

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/data-uri-to-buffer
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/data-uri-to-buffer

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%endif


%files
%doc README.md
%{nodejs_sitelib}/data-uri-to-buffer/

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_4
- new version

